Package com.sun.jna.platform.win32.COM

# Class TypeInfoUtil.TypeInfoDoc

java.lang.Object
com.sun.jna.platform.win32.COM.TypeInfoUtil.TypeInfoDoc

Enclosing class:
  TypeInfoUtil

public static class TypeInfoUtil.TypeInfoDoc extends Object
The Class TypeInfoDoc.

Author:
  wolf.tobias@gmx.net The Class TypeInfoDoc.

## Constructor Summary

Constructors
Constructor
Description
`TypeInfoDoc(String name, String docString, int helpContext, String helpFile)`
Instantiates a new type info doc.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDocString()`
Gets the doc string.
`int`
`getHelpContext()`
Gets the help context.
`String`
`getHelpFile()`
Gets the help file.
`String`
`getName()`
Gets the name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeInfoDoc

public TypeInfoDoc(String name, String docString, int helpContext, String helpFile)
Instantiates a new type info doc.

Parameters:
  `name` - the name
  `docString` - the doc string
  `helpContext` - the help context
  `helpFile` - the help file

## Method Details

### getName

public String getName()
Gets the name.

Returns:
  the name

### getDocString

public String getDocString()
Gets the doc string.

Returns:
  the doc string

### getHelpContext

public int getHelpContext()
Gets the help context.

Returns:
  the help context

### getHelpFile

public String getHelpFile()
Gets the help file.

Returns:
  the help file